<?php defined('DATALIFEENGINE') || exit; define('DS', DIRECTORY_SEPARATOR);

$modulename = basename(__FILE__, '.php');

echoheader("<em class=\"icon-credit-card\"></em> افزونه پرداخت پارس پال", "لیست تراکنش ها");
echostyle("css");
echostyle("header", "تراکنش های موفق");


$page = (($page = intval(filter_input(INPUT_GET, 'page', FILTER_VALIDATE_INT)))) ? $page : 1;
$endpoint = 30;
$startpoint = $page * $endpoint - $endpoint;

$db->query("DELETE FROM " . PREFIX . "_parspalpayments WHERE date < " . ($_TIME - 21600) . " AND isverified= '0'");
$db->query("SELECT * FROM ".PREFIX."_parspalpayments WHERE isverified= '1' ORDER BY id DESC LIMIT ".$startpoint.", ".$endpoint);
if ($db->num_rows())
{
	$counter = $startpoint;
	while($row = $db->get_row())
	{
		$counter++;
		$row['date'] = jdate('Y/m/d H:i', $row['date']);
		$row['isverified'] = "<center><em class=\"" . (($row['isverified']) ? "icon-ok" : "icon-remove") . "\"></em></center>";
		$records .= <<< HTML
		<tr>
		<td>{$counter}</td>
		<td>{$row['refnumber']}</td>
		<td>{$row['name']}</td>
		<td>{$row['mobile']}</td>
		<td>{$row['email']}</td>
		<td><button onclick="DLEalert('{$row['description']}', 'متن پیام تراکنش  {$row['refnumber']}'); return false;" class="btn btn-xs btn-primary" style="width:100%;font-weight:normal;">مشاهده پیام</button></td>
		<td>{$row['price']}</td>
		<td>{$row['date']}</td>
		<td>{$row['isverified']}</td>
		</tr>
		HTML;
	}
}
else
{
	$records = "<tr><td colspan=\"9\"><center><br/><br/>پرداختی یافت نشد<br/><br/></center></td></tr>";
}

echo <<< HTML
	<table class="table table-normal table-hover">
	<thead>
	<tr>
	<td width="5%">ردیف</td>
	<td width="">شماره تراکنش</td>
	<td width="">نام و نام خانوادگی</td>
	<td width="">شماره تماس</td>
	<td width="">ایمیل</td>
	<td width="">پیام</td>
	<td width="">مبلغ به تومان</td>
	<td width="">تاریخ</td>
	<td width="">وضعیت</td>
	</tr>
	</thead>
	<tbody>
	HTML;
echo $records . '</tbody></table>';

$pages = "";
$row = $db->super_query("SELECT COUNT(*) AS counter FROM ".PREFIX."_parspalpayments WHERE isverified= '1'");
$pagescount = $row['counter'];
unset($row);

if  ($pagescount > $endpoint)
{
	$pages = "<div class=\"pull-left\"><ul class=\"pagination pagination-sm\">";
	$lastpage = ceil($pagescount / $endpoint);
	for ($counter = 1; $counter <= $lastpage; $counter++)
	{
		if ($counter < 3 || $counter > ($lastpage - 2) || ($counter > ($page - 2) && $counter < ($page + 2)))
		{
			if ($counter === $page)
			{
				$pages .= '<li class="active"><span>' . $counter . '</span></li>';
			}
			else
			{
				$pages .= '<li><a href="?mod='.$modulename.'&page='.$counter.'">' . $counter . '</a></li>';
			}
		}
		elseif ($counter == 3 || $counter == ($lastpage - 2))
		{
			$pages .= '<li class="active"><span>...</span></li>';
		}
	}
	$pages .= "</ul></div>";
}

echostyle("footer", $pages);
echofooter();

function echostyle($type = "header", $addition = null)
{
	global $config;
	if ($type === "header")
	{
		echo <<< HEADER
		<div class="box">
		<div class="box-header"><div class="title">{$addition}</div></div>
		<div class="box-content">
		HEADER;
	}
	elseif ($type === "footer")
	{
		echo (isset($addition) && $addition != "") ? '</div><div class="box-footer" style="padding:10px">' . $addition . '</div></div>' : '</div></div>';
	}
}
