<?php defined('DATALIFEENGINE') || exit; define('DS', DIRECTORY_SEPARATOR);

require_once ENGINE_DIR . DS . 'classes' . DS . 'parspal_payment_helper.class.php';
require_once ENGINE_DIR . DS . 'classes' . DS . 'parspalconfig.php';

if(!isset($apiKey) )
{
	msgbox("خطا در اتصال به درگاه آنلاین", 'تنظیمات درگاه یافت نشد!');
	exit;
}

if (filter_input(INPUT_GET, 'action', FILTER_DEFAULT) === 'verify')
{
	$amount = $db->super_query("SELECT price FROM " . PREFIX . "_parspalpayments WHERE id = '" . $_POST['order_id']  . "' AND isverified= '0' LIMIT 1");
	if(!isset($amount['price']))
	{
		msgbox("خطا در پرداخت", "این درخواست قبلا پرداخت شده است ، برای پرداخت مجدد به فرم مربوطه مراجعه نمایید :");
	}
	else
	{
		require_once(dirname(__FILE__) . '/parspal_payment_helper.class.php');
		$p = new ParsPal_Payment_Helper($apiKey);
		$r = $p->paymentVerify($_POST, $amount['price']);
		if ($r)
		{
			$db->query("UPDATE " . PREFIX . "_parspalpayments SET isverified= '1', refnumber= '".$p->txn_id ."' WHERE id = '".$_POST['order_id']."'");
			$tpl->result['info'] = '<div style="padding: 15px;margin-bottom: 20px;border: 1px solid transparent;border-radius: 4px;color: #3c763d;background-color: #dff0d8;border-color: #d6e9c6;">تراکنش موفق<br>عملیات پرداخت با موفقیت به پایان رسید ، شماره تراکنش پرداخت شما <strong>'.$p->txn_id.'</strong> می باشد.</div>';
		}
		else
		{
			msgbox("خطا در پرداخت", "عملیات تایید پرداخت شما با خطا مواجه گردید ، وضعیت خطا : ".$p->error);
		}
	}
}
else
{
	$amount = intval(filter_input(INPUT_POST, 'price', FILTER_VALIDATE_INT));
	$email = $db->safesql(trim(filter_input(INPUT_POST, "email", FILTER_VALIDATE_EMAIL)));
	$name = $db->safesql(trim(filter_input(INPUT_POST, "name", FILTER_DEFAULT)));
	$mobile = $db->safesql(trim(filter_input(INPUT_POST, "mobile", FILTER_DEFAULT)));
	$description = $db->safesql(trim(filter_input(INPUT_POST, "why", FILTER_DEFAULT)));
	$callBackUrl = $config['http_home_url'] . 'index.php?do=parspalpay&action=verify';
	if ($email === null || $email === "" || empty($email))
	{
		msgbox("خطا در پرداخت آنلاین", "آدرس ایمیل وارد شده صحیح نیست! لطفا از یک آدرس صحیح استفاده نمائید...");
	}
	else
	{
		$db->query("INSERT INTO " . PREFIX . "_parspalpayments (`name`, `mobile`, `email`, `description`, `price`, `date`) VALUES ('{$name}', '{$mobile}', '{$email}', '{$description}', '{$amount}', '{$_TIME}')");
		$insert_id = $db->insert_id();
		require_once(dirname(__FILE__) . '/parspal_payment_helper.class.php');
		$p = new ParsPal_Payment_Helper($apiKey);
		$r = $p->paymentRequest(array(
				'amount'      => $amount,
				'order_id'    => $insert_id,
				'description' => $description,
				'return_url'  => $callBackUrl,
				'payer'       => array(
				'name'        => $name,
				'email'       => $email,
				'mobile'      => $mobile,
			)));
		if ($r)
		{
			$p->redirect(true);
		}
		else
		{
			$db->query("DELETE FROM " . PREFIX . "_hyspay WHERE id = '".$insert_id."'");
			$error = "در اتصال به درگاه خطایی رخ داده است ، وضعیت خطا : ".$p->error;
			msgbox("خطای اتصال", $error);
		}
	}
}
